#-----------------------------------------------------------------------------------#
# Copyright 2013; 3D-AlbertSoft
#
#-----------------------------------------------------------------------------------#
# Date           23/03/2013
# Email          3dalbertsoft@gmail.com
#-----------------------------------------------------------------------------------#
Sketchup.require('Helix-along-curve/Make-helix-along-curve')
Sketchup.require('Helix-along-curve/translate-Helix')

module Helix_Sketch
   def self.load_helix_along_curve_buttons
      unless file_loaded?( File.basename(__FILE__) )
         TraducirHelix
         trad_helix = TraducirHelix.hallar_traduccion
         menu_helix = UI.menu('Draw')
         menu_helix.add_separator
         menu_helix.add_item(trad_helix[0]) { HelixD.dibujar_helice }
         menu_helix.add_separator
         helixD_bar = UI::Toolbar.new trad_helix[0]
         helixD_cmd = UI::Command.new(trad_helix[0]) { HelixD.dibujar_helice }
         helixD_cmd.small_icon = "Helix-along-curve/icons/icon_helix_16.png"
         helixD_cmd.large_icon = "Helix-along-curve/icons/icon_helix_24.png"
         helixD_cmd.tooltip = trad_helix[0]
         helixD_cmd.menu_text = trad_helix[0]
         helixD_bar = helixD_bar.add_item helixD_cmd
         helixD_bar.show
         #--------------------------------------------------------------------------#
         file_loaded( File.basename(__FILE__) )
         #--------------------------------------------------------------------------#
      end
   end
end   
Helix_Sketch.load_helix_along_curve_buttons




